## Class TSqlMapXmlConfigBuilder

Description

TSqlMapXmlConfig class file.

- abstract:
- version: $Id: TSqlMapXmlConfiguration.php 2112 2007-08-06 18:58:55Z xue $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TSqlMapXmlConfiguration.php (line 22)

Direct descendents

Class | Description
--- | ---
TSqlMapXmlConfiguration | TSqlMapXmlConfig class.
TSqlMapXmlMappingConfiguration | Loads the statements, result maps, parameters maps from xml configuration.

Method Summary
Object createObjectFromNode (SimpleXmlNode $node)
string getAbsoluteFilePath (string $basefile, string $resource)
string getConfigFile ()
SimpleXmlElement getElementByIdValue (SimpleXmlDocument $document, string $tag, string $value)
SimpleXmlElement loadXmlDocument (string $filename, TSqlMapXmlConfiguration $config)
void setObjectPropFromNode (Object $obj, SimpleXmlNode $node, [array $except = array()])
Methods
createObjectFromNode (line 30)

Create an instance of an object give by the attribute named 'class' in the node and set the properties on the object given by attribute names and values.

- return: new instance of class with class name given by 'class' attribute value.
- access: protected

Object createObjectFromNode (SimpleXmlNode $node)

- SimpleXmlNode $node: property node

getAbsoluteFilePath (line 72)

Gets the filename relative to the basefile.

- return: absolute filename.
- access: protected

string getAbsoluteFilePath (string $basefile, string $resource)

- string $basefile: base filename
- string $resource: relative filename

getConfigFile (line 119)

- return: configuration file.
- abstract:
- access: protected

string getConfigFile ()

Redefined in descendants as:

- TSqlMapXmlConfiguration::getConfigFile()
- TSqlMapXmlMappingConfiguration::getConfigFile()

getElementByIdValue (line 105)

Get element node by ID value (try for attribute name ID as case insensitive).

- return: node if found, null otherwise.
- access: protected

SimpleXmlElement getElementByIdValue (SimpleXmlDocument $document, string $tag, string $value)

- SimpleXmlDocument $document
- string $tag: tag name.
- string $value: id value.

loadXmlDocument (line 90)

Load document using simple xml.

- return: xml document.
- access: protected

SimpleXmlElement loadXmlDocument (string $filename, TSqlMapXmlConfiguration $config)

- string $filename: filename.

setObjectPropFromNode (line 50)

For each attributes (excluding attribute named in $except) set the property of the $obj given by the name of the attribute with the value of the attribute.

- access: protected

void setObjectPropFromNode (Object $obj, SimpleXmlNode $node, [array $except = array()])

- Object $obj: object instance
- SimpleXmlNode $node: property node
- array $except: exception property name

Documentation generated on Mon, 21 Apr 2008 11:36:20 -0400 by phpDocumentor 1.3.0RC4